Subject: Re: [PATCH net-next 08/12] net: mscc: ocelot: publish structure definitions to include/soc/mscc/ocelot.h

From: Andrew Lunn <[email-masked]>
Date: Tue, 12 Nov 2019 15:42:51 +0100

> diff --git a/include/soc/mscc/ocelot.h b/include/soc/mscc/ocelot.h

..

> +#else
> +
> +/* I/O */
> +u32 ocelot_port_readl(struct ocelot_port *port, u32 reg)
> +{
> +	return 0;
> +}

These stubs are for when the core is missing? I don't think that makes
sense. What use is a DSA or switchdev driver without the core? I would
put in a hard dependency in the Kconfig, so the DSA driver can only be
built when the core is available, and skip these stubs.

      Andrew